## postbooks-updater 2.3.0

=== examples/Makefile ===
all:    testxversion \
        allknownelemspkg.gz	\
        allknownwarnings.gz	\
        badcontentsxml.gz	\
        dependency1.gz		\
        dependency2.gz		\
        duplicates.gz           \
        empty.gz		\
        missingfile.gz		\
        multiplecontents.gz	\
        nocontents.gz		\
        unknownelem.gz		\
        unsupportedprereq.gz

distclean: clean

clean:
	rm -f *.gz testxversion

allknownelemspkg.gz:  allknownelemspkg			\
	              allknownelemspkg/dropifexists.sql	\
                      allknownelemspkg/initUpgrade	\
                      allknownelemspkg/package.xml	\
                      allknownelemspkg/packageschema.sql	\
                      allknownelemspkg/pkgtest.sql	\
                      allknownelemspkg/pkgtestitem.sql \
                      allknownelemspkg/pkgtesttrigger.sql	\
                      allknownelemspkg/pkgtesttriggerfunction.sql	\
                      allknownelemspkg/pkgtestview.sql	\
                      allknownelemspkg/telephone.jpeg	\
                      allknownelemspkg/telephone.png	\
                      allknownelemspkg/telephone_ascii.jpg	\
                      allknownelemspkg/telephonelookup.mql	\
                      allknownelemspkg/telephonelookup.script	\
                      allknownelemspkg/telephonelookup.ui	\
                      allknownelemspkg/telephonelookup.xml      \
                      allknownelemspkg/finalize.sql
	tar czf $@ --exclude .svn $<

allknownwarnings.gz:  allknownwarnings			\
                      allknownwarnings/contents.xml	\
                      allknownwarnings/initUpgrade	\
                      allknownwarnings/telephone.jpeg	\
                      allknownwarnings/telephone.png	\
                      allknownwarnings/telephone_ascii.jpg	\
                      allknownwarnings/telephonelookup.script	\
                      allknownwarnings/telephonelookup.ui	\
                      allknownwarnings/telephonelookup.xml
	tar czf $@ --exclude .svn $<

badcontentsxml.gz: badcontentsxml	\
                   badcontentsxml/contents.xml
	tar czf $@ --exclude .svn $<

dependency1.gz: dependency1			\
                dependency1/contents.xml	\
                dependency1/telephone.jpeg
	tar czf $@ --exclude .svn $<

dependency2.gz: dependency2			\
                dependency2/contents.xml	\
                dependency2/telephone.png
	tar czf $@ --exclude .svn $<
duplicates.gz:  duplicates                      \
                duplicates/package.xml          \
                duplicates/loadimage.png        \
                duplicates/loadmetasql.mql      \
                duplicates/loadreport.xml       \
                duplicates/sampledisplay.script \
                duplicates/sampledisplay.ui
	tar czf $@ --exclude .svn $<

empty.gz:
	touch empty.gz

missingfile.gz: missingfile			\
                missingfile/contents.xml
	tar czf $@ --exclude .svn $<

multiplecontents.gz:  multiplecontents	\
                      multiplecontents/a_contents.xml	\
                      multiplecontents/b_contents.xml
	tar czf $@ --exclude .svn $<

nocontents.gz: nocontents nocontents/a
	tar czf $@ --exclude .svn $<

unknownelem.gz: unknownelem			\
                unknownelem/contents.xml	\
                unknownelem/initUpgrade		\
                unknownelem/setVersion.sql
	tar czf $@ --exclude .svn $<

unsupportedprereq.gz: unsupportedprereq			\
                      unsupportedprereq/contents.xml
	tar czf $@ --exclude .svn $<

testxversion: testxversion.cpp ../lib/libupdatercommon.a
	g++ -o testxversion testxversion.cpp \
	                      -g -pipe -Wall \
	                      -DQT_NO_DEBUG -DQT_CORE_LIB -DQT_SHARED \
	                      -I../common -I$(QTDIR)/include/QtCore -I$(QTDIR)/include \
	                      -L../lib    -L$(QTDIR)/lib -lupdatercommon -lQtCore

## postbooks-updater 2.2.5

=== debian/changelog ===
postbooks-updater (2.2.5-8) unstable; urgency=low

  * Cumulative upload of fixes from experimental branch.

 -- Daniel Pocock <daniel@pocock.pro>  Sat, 18 Oct 2014 17:29:06 +0200

postbooks-updater (2.2.5-7) experimental; urgency=low

  * Update patch to explicitly link libMetaSQL.

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 25 Sep 2014 09:06:24 +0200

postbooks-updater (2.2.5-6) experimental; urgency=low

  * Build against latest qt-client in experimental.

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 24 Sep 2014 10:21:27 +0200

postbooks-updater (2.2.5-5) unstable; urgency=low

  * Set version on libxtuplecommon-dev dependency

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 24 Sep 2014 10:03:33 +0200

postbooks-updater (2.2.5-4) unstable; urgency=low

  * Set version on libxtuplecommon-dev dependency

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 07 Oct 2013 08:48:35 +0200

postbooks-updater (2.2.5-3) unstable; urgency=low

  * Add README.Debian

 -- Daniel Pocock <daniel@pocock.com.au>  Sat, 05 Oct 2013 11:56:50 +0200

postbooks-updater (2.2.5-2) unstable; urgency=low

  * Add menu entry

 -- Daniel Pocock <daniel@pocock.com.au>  Sun, 29 Sep 2013 18:40:22 +0200

postbooks-updater (2.2.5-1) unstable; urgency=low

  * Initial release. (Closes: #724589)

 -- Daniel Pocock <daniel@pocock.com.au>  Wed, 25 Sep 2013 16:31:42 +0200

=== debian/control ===
Source: postbooks-updater
Section: misc
Priority: optional
Maintainer: Debian xTuple Maintainers <pkg-xtuple-maintainers@lists.alioth.debian.org>
Uploaders: Andrew Shadura <andrewsh@debian.org>, Daniel Pocock <daniel@pocock.pro>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libqt4-dev (>= 4.5.0), libdmtx-dev, libopenrpt-dev (>= 3.3.7), libcsvimp-dev (>= 0.5.0), libqtassistantclient-dev, libqt4-webkit, libz-dev, libqtwebkit-dev, libsqlite3-dev, libxtuplecommon-dev (>= 4.7.0~git20140924.1)
Standards-Version: 3.9.6
Homepage: http://www.xtuple.com/postbooks
Vcs-Git: git://anonscm.debian.org/collab-maint/postbooks-updater.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/postbooks-updater.git

Package: postbooks-updater
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-psql, qt-assistant-compat
Description: multi-user accounting / CRM / ERP suite (database update manager)
 A full-featured, fully-integrated business management system, the core of
 the award winning xTuple ERP Suite. Built with the open source PostgreSQL
 database and the open source Qt framework for C++, it provides the
 ultimate in power and flexibility for a range of businesses and
 industries of any size.
 .
 This package contains the utility for managing database upgrades.

=== debian/watch ===
# unfortunately, upstream uses crazy download naming schema, so we can't use this to update automagically yet :(

version=3
http://sf.net/postbooks/Updater-([\d+\.]+)-source.tar.*

## postbooks-updater 2.3.0

=== debian/changelog ===
postbooks-updater (2.3.0-3) unstable; urgency=medium

  * Update watch file.

 -- Daniel Pocock <daniel@pocock.pro>  Mon, 05 Oct 2015 10:34:55 +0200

postbooks-updater (2.3.0-2) unstable; urgency=medium

  * Update VCS fields to continue using alioth.

 -- Daniel Pocock <daniel@pocock.pro>  Mon, 07 Sep 2015 11:02:20 +0200

postbooks-updater (2.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 03 Sep 2015 18:26:21 +0200

postbooks-updater (2.2.5-9) unstable; urgency=low

  * Remove build dependency on libqt4-webkit. (Closes: #787748)

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 04 Jun 2015 21:07:04 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian xTuple Maintainers <pkg-xtuple-maintainers@lists.alioth.debian.org>
 Uploaders: Andrew Shadura <andrewsh@debian.org>, Daniel Pocock <daniel@pocock.pro>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libqt4-dev (>= 4.5.0), libdmtx-dev, libopenrpt-dev (>= 3.3.7), libcsvimp-dev (>= 0.5.0), libqtassistantclient-dev, libqt4-webkit, libz-dev, libqtwebkit-dev, libsqlite3-dev, libxtuplecommon-dev (>= 4.7.0~git20140924.1)
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libqt4-dev (>= 4.5.0), libdmtx-dev, libopenrpt-dev (>= 3.3.10), libcsvimp-dev (>= 0.5.1), libqtassistantclient-dev, libz-dev, libqtwebkit-dev, libsqlite3-dev, libxtuplecommon-dev (>= 4.9.1)
 Standards-Version: 3.9.6
 Homepage: http://www.xtuple.com/postbooks
 Vcs-Git: git://anonscm.debian.org/collab-maint/postbooks-updater.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/postbooks-updater.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/postbooks-updater.git/
 
 Package: postbooks-updater
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

#DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export OPENRPT_HEADERS=/usr/include/openrpt
export OPENRPT_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
export OPENRPT_IMAGE_DIR=/usr/share/openrpt/OpenRPT/images
export USE_SHARED_OPENRPT=1

export CSVIMP_HEADERS=/usr/include/csvimp
export CSVIMP_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

export XTUPLE_HEADERS=/usr/include/xtuple
export XTUPLE_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

export BUILD_XTCOMMON_SHARED=1

%:
	dh $@ --builddirectory=. --parallel

override_dh_clean:
	for pro in `find . -name '*.pro'` ; do \
		rm -f $$(dirname $$pro)/Makefile*; \
	done
	rm -rf */tmp
	dh_clean

override_dh_auto_test:

override_dh_auto_configure:
	# FIXME: find will not fail on error!
	find . -name '*.ts' -exec lrelease {} \;
	# convert to use shared libs
	#find . -name '*.pro' -exec sed -i -e "s/lib\(common\)\.a/lib\1.so/"  {} \;
	#find . -name '*.pro' -exec sed -i -e "s/lib\(MetaSQL\)\.a/lib\1.so/"  {} \;
	#find . -name '*.pro' -exec sed -i -e "s/lib\(wrtembed\)\.a/lib\1.so/"  {} \;
	#find . -name '*.pro' -exec sed -i -e "s/lib\(renderer\)\.a/lib\1.so/"  {} \;
	dh_auto_configure

override_dh_auto_install:
	mv bin/builder bin/postbooks-update-builder
	mv bin/updater bin/postbooks-updater
	dh_auto_install

.PHONY: override_dh_auto_configure override_dh_clean override_dh_auto_test

## postbooks-updater 2.4.0

=== debian/changelog ===
postbooks-updater (2.4.0-6) unstable; urgency=medium

  * Build for unstable.

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 24 Apr 2018 15:49:56 +0200

postbooks-updater (2.4.0-5) unstable; urgency=medium

  * Remove build-dep libqtwebkit-dev (Closes: #784509)

 -- Daniel Pocock <daniel@pocock.pro>  Sat, 16 Sep 2017 09:12:08 +0200

postbooks-updater (2.4.0-4) unstable; urgency=medium

  * Build for unstable.

 -- Daniel Pocock <daniel@pocock.pro>  Sat, 24 Jun 2017 19:31:11 +0200

postbooks-updater (2.4.0-3) unstable; urgency=medium

  * Update for libqt5sql5-psql (Closes: #861408)

 -- Daniel Pocock <daniel@pocock.pro>  Fri, 28 Apr 2017 15:55:22 +0200

postbooks-updater (2.4.0-2) unstable; urgency=medium

  * Build for unstable.

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 17 Jan 2017 18:10:24 +0100

postbooks-updater (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 12 Jan 2017 18:51:25 +0100

postbooks-updater (2.3.0-4) unstable; urgency=medium

  * Update libxtuplecommon-dev dependency version.

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 05 May 2016 12:07:18 +0200

=== debian/control ===
Source: postbooks-updater
Section: misc
Priority: optional
Maintainer: Debian xTuple Maintainers <pkg-xtuple-maintainers@lists.alioth.debian.org>
Uploaders: Andrew Shadura <andrewsh@debian.org>, Daniel Pocock <daniel@pocock.pro>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), qtbase5-dev (>= 5.3.0), qttools5-dev (>= 5.3.0), qttools5-dev-tools (>= 5.3.0), libqt5xmlpatterns5-dev (>= 5.3.0), libdmtx-dev, libopenrpt-dev (>= 3.3.14), libcsvimp-dev (>= 0.6.2), libz-dev, libsqlite3-dev, libxtuplecommon-dev (>= 4.11.3)
Standards-Version: 3.9.8
Homepage: http://www.xtuple.com/postbooks
Vcs-Git: https://salsa.debian.org/xtuple-maintainers-team/postbooks-updater.git
Vcs-Browser: https://salsa.debian.org/xtuple-maintainers-team/postbooks-updater

Package: postbooks-updater
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-psql
Description: multi-user accounting / CRM / ERP suite (database update manager)
 A full-featured, fully-integrated business management system, the core of
 the award winning xTuple ERP Suite. Built with the open source PostgreSQL
 database and the open source Qt framework for C++, it provides the
 ultimate in power and flexibility for a range of businesses and
 industries of any size.
 .
 This package contains the utility for managing database upgrades.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 #DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+
+export QT_SELECT=qt5
 
 export OPENRPT_HEADERS=/usr/include/openrpt
 export OPENRPT_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
